require 'phi'

form = Phi::Form.new(:form1, 'form‚Ĺ‚·')
form.height = 300

listview = Phi::ListView.new(form, :listview1, '')
listview.align = Phi::AL_CLIENT
listview.read_only = true
listview.view_style = Phi::VS_REPORT

env_column = listview.columns.add 
env_column.caption = 'name'
env_column.width = 100

value_column = listview.columns.add
value_column.caption = 'value' 
value_column.width = 150

ENV.keys.sort.each do |k|
  new_item = listview.items.add
  new_item.caption = k
  new_item.sub_items.add(ENV[k])
end

form.show
Phi.mainloop
